<div class="login-outer">
  <div class="container">
      <div class="row">
          <div class="col-sm-12">
              <div class="cont-login">
                  <div class="form-box">
                      <form autocomplete="off" [formGroup]="loginForm" (ngSubmit)="login()">
                          <div class="form-group">
                              <input type="Email" formControlName="emailOrPhone" name="" class="form-control email-box" autocomplete="off" placeholder="Email/Mobile">
                              <!-- Error Messages -->
                              <span class="help-block bottom fs12 t-red" *ngFor="let validation of errors.emailOrPhone">
                                  <span  *ngIf="loginForm.get('emailOrPhone').hasError(validation.type) && (loginForm.get('emailOrPhone').dirty || loginForm.get('emailOrPhone').touched)">
                                      {{validation.message}}
                                  </span>
                              </span>
                          </div>
                          <div class="form-group">
                              <input type="password" formControlName="password" name="" class="form-control pass-box" autocomplete="off" placeholder="Password">
                              <!-- Error Messages -->
                              <span class="help-block bottom fs12 t-red" *ngFor="let validation of errors.password">
                                  <span  *ngIf="loginForm.get('password').hasError(validation.type) && (loginForm.get('password').dirty || loginForm.get('password').touched)">
                                      {{validation.message}}
                                  </span>
                              </span>
                          </div>
                          <!-- <div class="form-group">
                              <div class="row">
                                  <div class="col remember"><label><input type="checkbox"> Remember me</label></div>
                              </div>
                          </div> -->
                          <div class="form-group text-center">
                              <input type="submit" value="Log in" [disabled]="!loginForm.valid" class="btn">
                              <!-- <input type="submit" value="Log in" [disabled]="!loginForm.valid" class="btn" (click)="openResendLinkModal(resendLink)"> -->

                            </div>
                          <!-- <p class="text-center"><a [routerLink]="['/forgot-password']">Forgot password</a></p> -->
                          <p class="text-center">
                              <!-- <a href="javascript:void(0)" (click)="openModal(forgotPassword, 'modal-sm')">Forgot password</a> -->
                              <a [routerLink]="['/forgot-password']" >Forgot password</a>
                          </p>
                      </form>
                  </div>
                  <div class="login-reg-bottom">
                      <div class="social-log">
                          <ul>
                              <li>
                                  <!-- <a href="javascript:void(0)" aotFbLogin (fbLoginInitialized)="openSelectUserPopup($event, selectUserType)"> -->
                                  <a href="javascript:void(0)" (click)="openSelectUserPopupLinkedIn($event, selectUserTypeLinkedIn, 'modal-sm')">
                                    <img src="assets/images/social-linkdin.png" alt="">
                                  </a>
                              </li>
                              <li>
                                <a href="javascript:void(0)"  (click)="openSelectUserPopup($event, selectUserType, 'modal-sm')">
                                    <img src="assets/images/social-fb.png" alt="">
                                </a>
                              </li>
                          </ul>
                      </div>
                      <p><a href="#">Don’t have an account yet?</a></p>
                      <a [routerLink]="['/user-type']" class="btn border">Register</a>
                  </div>
              </div>
          </div>    
      </div>
  </div>
</div>
<!-- {{pCities}} -->

<!-- User type selection modal -->
<ng-template #selectUserType>
    <!-- Modal Header -->
    <div class="modal-header">
        <h4 class="modal-title">Select Usertype</h4>
        <!-- <button type="button" class="close pull-right" aria-label="Close" (click)="modalRef.hide()">
            <span aria-hidden="true">&times;</span>
        </button> -->
          
      </div>

      <!-- Modal body -->
      <div class="modal-body">
        <!-- <p class="fs14">Please Select the User Type.</p> -->
        <select [(ngModel)]="userType" class="form-control form-control-sm" #userTypeSelect>
            <!-- <option value="">Select User Type</option> -->
            <option value="CANDIDATE">Candidate</option>
            <option value="EMPLOYER">Employer</option>
        </select>
      </div>

      <!-- Modal footer -->
      <div class="modal-footer">
        <!-- <a href="javascript:void(0)" data-dismiss="modal" (click)="modalRef.hide()" >Close</a> -->
        <button class="btn btn-sm"  (click)="socialSignUp(userTypeSelect,'facebook')">Submit</button>
      </div>
</ng-template>
<!-- User type selection modal -->
<ng-template #selectUserTypeLinkedIn>
    <!-- Modal Header -->
    <div class="modal-header">
        <h4 class="modal-title">Select Usertype</h4>
        <!-- <button type="button" class="close pull-right" aria-label="Close" (click)="modalRef.hide()">
            <span aria-hidden="true">&times;</span>
        </button> -->
          
      </div>

      <!-- Modal body -->
      <div class="modal-body">
        <!-- <p class="fs14">Please Select the User Type.</p> -->
        <select [(ngModel)]="userType" class="form-control form-control-sm" #userTypeSelect>
            <!-- <option value="">Select User Type</option> -->
            <option value="CANDIDATE">Candidate</option>
            <option value="EMPLOYER">Employer</option>
        </select>
      </div>

      <!-- Modal footer -->
      <div class="modal-footer">
        <!-- <a href="javascript:void(0)" data-dismiss="modal" (click)="modalRef.hide()" >Close</a> -->
        <a class="btn btn-sm" href="https://www.linkedin.com/oauth/v2/authorization?response_type=code&client_id=86q6nae7g7x7i6&redirect_uri=https://letery.com/redirect&state=aRandomString&scope=r_emailaddress+r_liteprofile">Login</a>
      </div>
</ng-template>




<!-- User type selection modal -->

<!-- Forgot Password modal -->
<ng-template #forgotPassword>
    <!-- Modal Header -->
    <div class="modal-header">
        <h4 class="modal-title">Forgot Password</h4>
        <!-- <button type="button" class="close pull-right" aria-label="Close" (click)="modalRef.hide()">
            <span aria-hidden="true">&times;</span>
        </button> -->
            
        </div>

        <!-- Modal body -->
        <div class="modal-body">
            <div class="form-group text-left">
                <label for="forGotPasswordModal" class="fw500">Email:</label>
                <input type="email" id="forGotPasswordModal" #forGotPasswordEmail [(ngModel)]="userEmail" class="form-control form-control-sm" placeholder="Please type your email">
            </div>
        </div>

        <!-- Modal footer -->
        <div class="modal-footer">
            <button class="btn btn-sm" (click)="forgotPasswordSubmit(forGotPasswordEmail, notificationModal)">Submit</button>
        </div>
</ng-template>
<!-- Forgot Password modal -->


<!-- Forgot Password modal -->
<ng-template #notificationModal>
    <!-- Modal Header -->
    <div class="modal-header">
        <h4 class="modal-title">Notification</h4>
        <!-- <button type="button" class="close pull-right" aria-label="Close" (click)="modalRef.hide()">
            <span aria-hidden="true">&times;</span>
        </button> -->
            
        </div>

        <!-- Modal body -->
        <div class="modal-body">
            <p>{{notificationTest}}</p>
        </div>

        <!-- Modal footer -->
        <div class="modal-footer">
            <a href="javascript:void(0)" (click)="modalRef.hide()" >Close</a>
        </div>
</ng-template>
<!-- Forgot Password modal -->

<!-- Resend Account Verification Link Modal -->
<ng-template #resendLink>
    <div class="modal-header">
        <h6 class="modal-title text-center">Opps! Looks like your email is not verified yet.Click Below to Verify.</h6>
        <button type="button" class="close pull-right" aria-label="Close" (click)="modalRef.hide()">
        <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="modal-body">
        <div class="row">
            <div class="col-sm-12 text-center">  
                <a [routerLink]="['/resend-link']" class="btn border" (click)="modalRef.hide()">Resend Link</a>
            </div>    
        </div>
    </div>
</ng-template>
<!-- End Modal -->